commit: 012616f784e7830475e12bdef3709a9ccf283aff
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 27 06:18:24 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Dec 27 06:18:24 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=012616f7
dev-ruby/concurrent-ruby: add 1.0.4
Package-Manager: portage-2.3.0
dev-ruby/concurrent-ruby/Manifest | 1 +
.../concurrent-ruby/concurrent-ruby-1.0.4.ebuild | 38 ++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-ruby/concurrent-ruby/Manifest
b/dev-ruby/concurrent-ruby/Manifest
index a4686df..8110345 100644
--- a/dev-ruby/concurrent-ruby/Manifest
+++ b/dev-ruby/concurrent-ruby/Manifest
@@ -1,2 +1,3 @@
DIST concurrent-ruby-1.0.2.tar.gz 1278198 SHA256
a8051789e6b08448ae350031cf13ec563b0a176651b7d81d9f9e845b9b126ff4 SHA512
ad82af8bb5a6aeb6133466580e3e6b51cc37dcc9391b0bbfdc5230ac761453747fcac1b080a09772c90d7a05047ae4ac0ba4113fbd048c4b3c3712064b7a22d9
WHIRLPOOL
55a8d668cad46f357d3b54428f0ab42b349f46b5e9a785cf053944ef96a4f0267b775911b7cec5d6d64bc40fb7efc1f1cc0ef5affdc7307ea5e40db8af6dc87c
DIST concurrent-ruby-1.0.3.tar.gz 1281328 SHA256
fb30442c8e880b8c9fd9f6cc87aa0f6bac38c9c6fae2efe08864acd232df474f SHA512
c866e26938effca0aa508f86330a08d0885c68c012bfb64f28b44f9490b6b2c71d99cfe0101a5dcaf1b6038948051f98960907cb7e27c44c60325a27e08c35dc
WHIRLPOOL
0ef989bd5c6150dada21bb57f117d6252bd1b2eddd17aa233ff6906bf5e8403e6bcfee98adfcb6bf5de17f45c285c06f4bfbdff3ce611f5adb97016018f7570d
+DIST concurrent-ruby-1.0.4.tar.gz 1299941 SHA256
d335fff59c62e92c1e032e77136bf2ec189c5b0811adb87f147ecb2f89b7a884 SHA512
f905cc1b42b100fb961d774fc7cf5cb19d4f6fa1342ae782b9a018a8fb84f0d7cfe954f809645d6f485ac01247a5207fbc6b11e051dc9dd7fdd679793ba6a47d
WHIRLPOOL
af9a052610f6cedc520c615634228c168f22ad7c882bf3f2e35a327380b0c630de47c36564c1b329efe928a6a937694adbbb67dc0c872ede30a4b891ab593678
diff --git a/dev-ruby/concurrent-ruby/concurrent-ruby-1.0.4.ebuild
b/dev-ruby/concurrent-ruby/concurrent-ruby-1.0.4.ebuild
new file mode 100644
index 00000000..f73f700
--- /dev/null
+++ b/dev-ruby/concurrent-ruby/concurrent-ruby-1.0.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Modern concurrency tools including agents, futures, promises,
thread pools, more"
+HOMEPAGE="https://github.com/ruby-concurrency/concurrent-ruby"
+SRC_URI="https://github.com/ruby-concurrency/concurrent-ruby/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc64 ~x86 ~amd64-linux ~x86-linux
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris
~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/timecop-0.7.4 )"
+
+all_ruby_prepare() {
+ # Remove edge files as defined in support/file_map.rb
+ rm -rf {lib,spec}/concurrent/{actor,channel,edge}* \
+ lib/concurrent/{concurrent-edge,lazy_register.rb} \
+ spec/concurrent/lazy_register_spec.rb || die
+ sed -i -e '/concurrent-edge/ s:^:#:' spec/spec_helper.rb || die
+
+ # Remove specs for the ext gem
+ rm -rf spec/concurrent/atomic || die
+
+ sed -i -e '/file_map/d' -e '/s.files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}